Subject: RE: [RRG] Renumbering...

From: "Tony Li" <[email-masked]>
Date: Fri, 5 Sep 2008 09:13:04 -0700

Hi Noel, 

|    > part of our recommendation will likely be to cease the 
|current practice
|    > of disseminating PI addresses ... we can phase out PI.
|
|That's just not going to be accepted, IMO. The users leaned on 
|the RIRs to do
|PI, and any attempt to get rid of PI would take even more ooomph than
|stopping them, and there clearly wasn't enough for that.

To be fair, there is no good alternative to PI today.  Again, our charter is
to provide that alternative.  Once there is a proven alternative, then
allowing the current run on PI addressing to continue simply ensures that
routing eventually fails.  There is no proposal that we could possible put
on the table that would compete with the established status quo.

Leadership will be necessary.

|So, it's really up to the ISPs - the customers (as previously 
|pointed out)
|will have no interest in any solution that costs them 
|anything. As far as I
|can see, the ISPs have four choices:
|
|- a) stop accepting/advertising PI addresses
|- b) charge for accepting/advertising PI addresses
|- c) deploy some sort of jack-up system outside the 
|customer-owned/managed
|	part of the network
|- d) buy stock in Cisco/Juniper/etc so that they'll get at 
|least some return
|	on the large checks they are going to have to write to them
|
|As for c), I have heard that most ISP's aren't at all 
|interested in one of
|the more fully-worked jack-up proposals (although that may 
|change down the
|road), so I'm wondering if that's really viable.

It's not, by itself.  Again, that's expecting people to be attracted to
change.  That's against all human psychology.  People avoid change.  Unless
we're prepared to offer huge incentives, folks are not going to be
interested.

Interestingly, this is not unique to our situation.  This gets played out in
public policy forums worldwide.  We are simply creatures of habit.

|There are, I expect, some ISPs for whom d) is an option (and, 
|in fact, some
|might prefer it, hoping that the costs involved will drive 
|some of their
|competitors out of business), but can we go that way? 
|(Particularly since,
|AFAICT, in v6 the cutoff organization size for getting a PI 
|block is smaller,
|which means that if v6 catches on, v6 routing tables will have 
|even more
|entries than v4.)

Not reasonably.  The good news is that it is the default, so even if we do
nothing, that's where we'll end up.

|Am I missing something? (I'm not trying to rain on everyone 
|here, just trying
|to be realistic and hard-nosed - the ~15 year history of IPv6 
|shows us what
|happens when we're not sufficiently realistic and hard-nosed.)

You may recall that we ended up here because certain people were not willing
to exercise their 'leadership' authority to do the right thing at the right
time.  And the rest of us (as a quorum) weren't willing to listen to them.
We made a politically expedient choice as opposed to the technically
required one.

In front of us today, we have the technical requirement to change the status
quo and detox us from our PI addiction.  We need to invent the methodone
treatment, show that it's effective, and then get rehab mandated.

|    > From: "Tony Li" <[email-masked]>
|
|    > can we please stop saying 'address' unless we truly 
|_mean_ a classical
|    > address, with both identifier and location semantics?
|
|I agree with you, but alas I'm rather dubious that it's going 
|to happen -
|experience shows that people are very resistant to changing the meaning
|bindings in their heads. About all one can do is stop using the term
|'address', and substitute other terms.

Leadership is also required here.  ;-)

Tony

--
to unsubscribe send a message to [email-masked] with the
word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/rrg/> & ftp://psg.com/pub/lists/rrg